Scroll to doesn't work

08/03/2020 05:15 AM - Luke Murphey

Status: Closed Start date: 08/03/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 4.6.1   

Description

See https://github.com/Semantic-Org/Semantic-UI/issues/1509

History

#1 - 08/04/2020 01:49 AM - Luke Murphey

https://www.javascripttutorial.net/javascript-dom/javascript-scrollintoview/

Works but the verse get lost under

Obs:

window.scrollBy(0, 100);

Doesn't work

window.scrollTo(300, 500);

The second scrollbar appears because the pushable has a vh of 100

Removing the 100vh fixes it (but it uses the main scrollbar)

Solns:

Click to hide header

The problem is that the book title is under the header

Add a buffer

Can hide the scrollbar on the body with overflow: hidden

Set the vh minus the buffer

https://css-tricks.com/a-couple-of-use-cases-for-calc/

This worked

Qs: *

#2 - 08/04/2020 01:49 AM - Luke Murphey

- Status changed from New to Closed
